#include<iostream>
using namespace std;
int main()
{
    long long a,b,l,x,y,br=0,i,masl[100000];

    cin>>a>>b>>l;

    if((l-a)%b==0){
        
        cout<<(l-a)/b;
    }else{
        if((l-b)%a==0){
        
        cout<<(l-b)/a;
    }else{
    
        cout<<"0";
    }
    }
 return 0;
}

